# i3status configuration file.
# see "man i3status" for documentation.

# It is important that this file is edited as UTF-8.
# The following line should contain a sharp s:
# ß
# If the above line is not correctly displayed, fix your editor first!

general {
  colors = true
  interval = 5
  color_good = "#2AA198"
  color_bad = "#586E75"
  color_degraded = "#D79921"
  separator = ""
}

order += "wireless _first_"
order += "ethernet _first_"
order += "path_exists VPN"
order += "ipv6"
order += "disk /"
order += "disk /home"
order += "load"
order += "memory"
order += "volume master"
order += "battery all"
order += "tztime local"

path_exists VPN {
  path = "/proc/sys/net/ipv4/conf/ppp0"
  format = " %status"
}

wireless _first_ {
  #format_up = "W: (%quality at %essid) %ip"
  format_up = " %essid %bitrate"
  format_down = " "
}

ethernet _first_ {
  # if you use %speed, i3status requires root privileges
  format_up = " (%speed)"
  format_down = " "
}

battery all {
  format = "   %status %percentage %remaining    "
  status_bat = ""
  status_chr = ""
  status_full = ""
  status_unk = "?"
  threshold_type = time
}

tztime local {
  format = "      %d.%m.%Y  %H:%M  "
}

load {
  format = " %1min"
}

disk "/" {
  format = "        %avail"
}

disk "/home" {
  format = " %avail   "
}

ipv6 {
  format_up = " IPv6"
  format_down = " IPv6"
}

memory {
  format = " %used   "
}

volume master {
  device = "pulse"
  format = " %volume   "
  format_muted = "            "
  mixer = "Master"
}
